Package com.xebialabs.xlrelease.domain.environments

# Enum Class StatusGroup

java.lang.Object
java.lang.Enum<StatusGroup>
com.xebialabs.xlrelease.domain.environments.StatusGroup

All Implemented Interfaces:
  `Serializable`, `Comparable<StatusGroup>`, `Constable`

public enum StatusGroup extends Enum<StatusGroup>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  `ERROR`
  `IN_PROGRESS`
  `SUCCESS`
  `WARNING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `String`
  `value()`
  `static StatusGroup`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StatusGroup[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUCCESS

    public static final StatusGroup SUCCESS

  - ### ERROR

    public static final StatusGroup ERROR

  - ### WARNING

    public static final StatusGroup WARNING

  - ### IN_PROGRESS

    public static final StatusGroup IN_PROGRESS

  - ### DEFAULT

    public static final StatusGroup DEFAULT

- ## Method Details

  - ### values

    public static StatusGroup[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StatusGroup valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<StatusGroup>`